sboremove(1)

NAME

sboremove - remove packages installed from slackbuilds

SYNAPSES

sboremove [-h|-v] [-a] sbo_name

DESCRIPTION

sboremove is used to remove packages installed from slackbuilds. It pulls the list of requirements from the .info file for any specified slackbuild. If such a list exists, sboremove will look to see whether or not those requirements are installed. Those that are will then be checked to see whether they are requirements of other packages also installed. If a package is no longer required, or the -a flag is specified sboremove will ask whether or not it should also remove it from the system.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-a|--alwaysask
    Always ask to remove requirements, even those required by other packages currently installed (ignored by default)

EXIT CODES

sboremove can exit with the following codes:
    0: all operations completed successfully.
    1: a usage error occurred, such as running sboremove with nothing to remove.

BUGS

None known, but there may be some. Please report any found to https://github.com/pink-mist/sbotools/issues ; patches are always welcome.

SEE ALSO

sbocheck(1), sboclean(1), sboconfig(1), sbofind(1), sboinstall(1), sbosnap(1), sboupgrade(1), sbotools.conf(5)

AUTHORS

Luke Williams <xocel@iquidus.org>

Jacob Pipkin <j@dawnrazor.net>

Andreas Guldstrand <andreas.guldstrand@gmail.com>